Connect Ramp API
API reference
Connect Ramp — API Reference
Base URL: https://api.goldrail.xyz (also https://api.openconnect.cc, where /connect/* = /api/connect/*).
Every route below also answers under the train alias /api/genesis/.... Generated from the Official Postman collection (goldrail-api/postman/official-connect-ramp.collection.json), itself built from the route inventory of the code. The Auth column gives the expected credential.
Guides: Connect Ramp.
catalog / public
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/catalog/public/assets | Catalog assets | Public |
| GET | /api/connect/ramp/catalog/public/rates | Public rates | Public |
consumer-offramp
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/consumer-offramp/request | Create offramp request | Bearer |
| GET | /api/connect/ramp/consumer-offramp/request/{offrampRequestId} | Get offramp request | Bearer |
| POST | /api/connect/ramp/consumer-offramp/request/{offrampRequestId}/confirm-payout | Confirm payout | Bearer |
| GET | /api/connect/ramp/consumer-offramp/requests?page=1&limit=20 | List offramp requests | Bearer |
core
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/core/sessions | Create session | API key |
| POST | /api/connect/ramp/core/sessions/{session_id}/intents/walletconnect | Intent WC stealth | API key |
| POST | /api/connect/ramp/core/sessions/{session_id}/intents/openconnect | Intent OC QR stealth | API key |
| POST | /api/connect/ramp/core/intents/{intent_id}/prepare-transaction | Prepare transaction | API key |
| POST | /api/connect/ramp/core/intents/{intent_id}/bind-tx | Bind tx | API key |
| GET | /api/connect/ramp/core/intents/{intent_id} | Get intent | API key |
| POST | /api/connect/ramp/core/links | Create ramp link (Sub-Platform key) | Sub-Platform key |
| GET | /api/connect/ramp/core/links?limit=20 | List ramp links (Sub-Platform key) | Sub-Platform key |
| GET | /api/connect/ramp/core/links/{rampLinkId} | Get ramp link (Sub-Platform key) | Sub-Platform key |
| PATCH | /api/connect/ramp/core/links/{rampLinkId} | Update ramp link (Sub-Platform key) | Sub-Platform key |
| DELETE | /api/connect/ramp/core/links/{rampLinkId} | Delete ramp link (Sub-Platform key) | Sub-Platform key |
| GET | /api/connect/ramp/core/operations?limit=20 | List ramp operations (Sub-Platform key) | Sub-Platform key |
| POST | /api/connect/ramp/core/embed-token | Create embed token (Sub-Platform key) | Sub-Platform key |
core / sessions
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/core/sessions/{session_id}/execute | Execute ramp session | API key |
| POST | /api/connect/ramp/core/sessions/{session_id}/payment-intents | Ramp payment intent | API key |
offramp / core
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/offramp/core/fiat | Offramp (fiat) | API key |
onramp / core
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/onramp/core/fiat | Onramp (fiat) | API key |
providers
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/providers | List provider statuses | API key |
| GET | /api/connect/ramp/providers/paylink_cool | Get provider status | API key |
sessions / public
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/sessions/public/pay/{session_id} | GET pay session | Public |
| POST | /api/connect/ramp/sessions/public/pay/{session_id}/bind-identity | Bind identity | Bearer |
| POST | /api/connect/ramp/sessions/public/pay/{session_id}/confirm | Confirm pay | Bearer |
settings
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/settings/payment-methods | Payment methods | API key |
| GET | /api/connect/ramp/settings/portal-config | Portal config | API key |
| GET | /api/connect/ramp/settings/session-ui | Session UI | API key |
| PATCH | /api/connect/ramp/settings/session-ui | Session UI Patch | API key |
| GET | /api/connect/ramp/settings/softshell-defaults | SoftShell Defaults | API key |
| PATCH | /api/connect/ramp/settings/softshell-defaults | SoftShell Defaults Patch | API key |
| GET | /api/connect/ramp/settings/hosting-settings | Hosting settings | API key |
| PATCH | /api/connect/ramp/settings/hosting-settings | Hosting settings patch | API key |
| POST | /api/connect/ramp/settings/hosting-settings/domain/verify | Verify custom domain | API key |
| PATCH | /api/connect/ramp/settings/payment-methods | Patch payment methods + compliance | API key |
| PATCH | /api/connect/ramp/settings/portal-config | Patch portal config | API key |
| POST | /api/connect/ramp/settings/hosted-qr-codes | Register hosted QR | API key |
| GET | /api/connect/ramp/settings | Get ramp settings (Sub-Platform key) | Sub-Platform key |
| PUT | /api/connect/ramp/settings | Update ramp settings (Sub-Platform key) | Sub-Platform key |
More endpoints (from code) / catalog
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/catalog/public/enterprises/{slug} | GET /api/connect/ramp/catalog/public/enterprises/:slug | Public |
| GET | /api/connect/ramp/catalog/public/enterprises/{slug}/branding | GET /api/connect/ramp/catalog/public/enterprises/:slug/branding | Public |
| GET | /api/connect/ramp/catalog/public/enterprises/{slug}/hosting | GET /api/connect/ramp/catalog/public/enterprises/:slug/hosting | Public |
| GET | /api/connect/ramp/catalog/public/enterprises/{slug}/recipients/{username} | GET /api/connect/ramp/catalog/public/enterprises/:slug/recipients/:username | Public |
| GET | /api/connect/ramp/catalog/public/enterprises/{slug}/recipients/{username}/validate | GET /api/connect/ramp/catalog/public/enterprises/:slug/recipients/:username/validate | Public |
| GET | /api/connect/ramp/catalog/public/tokens | GET /api/connect/ramp/catalog/public/tokens | Public |
More endpoints (from code) / core
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/core/checkout/batch | POST /api/connect/ramp/core/checkout/batch | API key |
| POST | /api/connect/ramp/core/checkout/sessions | POST /api/connect/ramp/core/checkout/sessions | API key |
| GET | /api/connect/ramp/core/checkout/sessions/{id} | GET /api/connect/ramp/core/checkout/sessions/:id | API key |
| POST | /api/connect/ramp/core/checkout/short-links | POST /api/connect/ramp/core/checkout/short-links | API key |
| GET | /api/connect/ramp/core/customers/{customer_id}/accounts | GET /api/connect/ramp/core/customers/:customer_id/accounts | API key |
| GET | /api/connect/ramp/core/customers/{customer_id}/accounts/{label_key} | GET /api/connect/ramp/core/customers/:customer_id/accounts/:label_key | API key |
| GET | /api/connect/ramp/core/customers/{customer_id}/accounts/{label_key}/funding | GET /api/connect/ramp/core/customers/:customer_id/accounts/:label_key/funding | API key |
| GET | /api/connect/ramp/core/customers/{customer_id}/accounts/{label_key}/transactions | GET /api/connect/ramp/core/customers/:customer_id/accounts/:label_key/transactions | API key |
| POST | /api/connect/ramp/core/execute | POST /api/connect/ramp/core/execute | API key |
| POST | /api/connect/ramp/core/intents/{id}/cancel | POST /api/connect/ramp/core/intents/:id/cancel | API key |
| GET | /api/connect/ramp/core/operations/{id} | GET /api/connect/ramp/core/operations/:id | API key |
| POST | /api/connect/ramp/core/quotes | POST /api/connect/ramp/core/quotes | API key |
| GET | /api/connect/ramp/core/ramp-intents/{id} | GET /api/connect/ramp/core/ramp-intents/:id | API key |
| POST | /api/connect/ramp/core/ramp-intents/{id}/approve | POST /api/connect/ramp/core/ramp-intents/:id/approve | API key |
| POST | /api/connect/ramp/core/ramp-intents/{id}/reject | POST /api/connect/ramp/core/ramp-intents/:id/reject | API key |
| GET | /api/connect/ramp/core/sessions | GET /api/connect/ramp/core/sessions | API key |
| GET | /api/connect/ramp/core/sessions/{id} | GET /api/connect/ramp/core/sessions/:id | API key |
| PATCH | /api/connect/ramp/core/sessions/{id} | PATCH /api/connect/ramp/core/sessions/:id | API key |
| POST | /api/connect/ramp/core/sessions/{id}/cancel | POST /api/connect/ramp/core/sessions/:id/cancel | API key |
| POST | /api/connect/ramp/core/sessions/{id}/hosted-token | POST /api/connect/ramp/core/sessions/:id/hosted-token | API key |
| POST | /api/connect/ramp/core/sessions/{sessionId}/intents/{intentId}/cancel | POST /api/connect/ramp/core/sessions/:sessionId/intents/:intentId/cancel | API key |
| GET | /api/connect/ramp/core/short-links | GET /api/connect/ramp/core/short-links | API key |
| POST | /api/connect/ramp/core/short-links | POST /api/connect/ramp/core/short-links | API key |
| GET | /api/connect/ramp/core/short-links/{code} | GET /api/connect/ramp/core/short-links/:code | API key |
More endpoints (from code) / network
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/network/collections | POST /api/connect/ramp/network/collections | API key |
| GET | /api/connect/ramp/network/collections/{ref} | GET /api/connect/ramp/network/collections/:ref | API key |
| GET | /api/connect/ramp/network/platform | GET /api/connect/ramp/network/platform | API key |
More endpoints (from code) / offramp
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/offramp/core/requests | GET /api/connect/ramp/offramp/core/requests | API key |
| POST | /api/connect/ramp/offramp/core/requests | POST /api/connect/ramp/offramp/core/requests | API key |
| GET | /api/connect/ramp/offramp/core/requests/{id} | GET /api/connect/ramp/offramp/core/requests/:id | API key |
| POST | /api/connect/ramp/offramp/core/requests/{id}/cancel | POST /api/connect/ramp/offramp/core/requests/:id/cancel | API key |
| POST | /api/connect/ramp/offramp/core/requests/{id}/confirm-payout | POST /api/connect/ramp/offramp/core/requests/:id/confirm-payout | API key |
| POST | /api/connect/ramp/offramp/core/treasury | POST /api/connect/ramp/offramp/core/treasury | API key |
More endpoints (from code) / onramp
| Method | Path | Operation | Auth |
|---|---|---|---|
| POST | /api/connect/ramp/onramp/core/to-user | POST /api/connect/ramp/onramp/core/to-user | API key |
| POST | /api/connect/ramp/onramp/core/treasury | POST /api/connect/ramp/onramp/core/treasury | API key |
More endpoints (from code) / providers
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/providers/{slug} | GET /api/connect/ramp/providers/:slug | API key |
More endpoints (from code) / public
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/public/short-links/{code}/resolve | GET /api/connect/ramp/public/short-links/:code/resolve | Public |
More endpoints (from code) / sessions
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/sessions/public/session-config | GET /api/connect/ramp/sessions/public/session-config | Public |
| GET | /api/connect/ramp/sessions/public/sessions/hosted/{token} | GET /api/connect/ramp/sessions/public/sessions/hosted/:token | Public |
More endpoints (from code) / settings
| Method | Path | Operation | Auth |
|---|---|---|---|
| GET | /api/connect/ramp/settings/path-link-brand | GET /api/connect/ramp/settings/path-link-brand | API key |
| PATCH | /api/connect/ramp/settings/path-link-brand | PATCH /api/connect/ramp/settings/path-link-brand | API key |